<template>
  <h1
    class="big-title base-title"
    :class="{
      'base-title--light': isLight,
    }"
  >
    <slot></slot>
  </h1>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";

@Component
export default class BaseTitle extends Vue {
  @Prop({ default: false }) isLight: boolean;
}
</script>

<style lang="scss" scoped>
.base-title {
  text-transform: uppercase;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: $blue-gray;

  &::before {
    content: "";
    border-top: 1px solid $blue-gray;
    display: block;
    margin-bottom: 30px;
    width: 100px;
  }

  &--light {
    color: $white;

    &::before {
      border-color: $white;
    }
  }
}
</style>
